'
' Test the replacement library routines for Eread and EWrite
' On a PIC16F18877 Enhanced 14-bit core device
'
    Device = 16F18877 
    Declare Xtal = 32 
    
    Declare Hserial_Baud = 9600                 

    Include "Eread_Ewrite.inc"      ' Load the replacement routines into the program
    
    Dim ByteIn As Byte
    Dim Byteout As Byte
    Dim Address As Byte
    
MyEeprom EData 1,2,3,4,5,6,7,8,9,0

'---------------------------------------------------------------------
Main_:
'
' Read what is already in eeprom
'
    HRSOutLn "Reading From Programmed Eeprom"
    For Address = 0 To 9
        ByteIn = ERead Address
        HRSOutLn Dec Address, ": ", Dec ByteIn
    Next
'
' Write to eeprom
'    
    HRSOutLn "Writing"
    For Address = 0 To 9
        Byteout = Address + 10
        EWrite Address,[Byteout]
    Next
'
' Read what has been written to eeprom
'
    HRSOutLn "Reading"
    For Address = 0 To 9
        ByteIn = ERead Address
        HRSOutLn Dec Address, ": ", Dec ByteIn
    Next  
    
    



